classification
Title: Add 'x' mode to gzip.open()
Type: enhancement Stage: resolved
Components: Library (Lib) Versions: Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: nadeem.vawda Nosy List: Arfrever, nadeem.vawda, oylenshpeegul, python-dev
Priority: normal Keywords:

Created on 2013-10-10 21:32 by oylenshpeegul, last changed 2013-10-18 22:12 by nadeem.vawda. This issue is now closed.

Files
File name Uploaded Description Edit
patch.gzip.py oylenshpeegul, 2013-10-10 21:32 Patch to allow option 'x' for the mode.
Messages (2)
msg199416 - (view) Author: Tim Heaney (oylenshpeegul) Date: 2013-10-10 21:32
This is analogous to issue19201, but for gzip. Recent versions of Python have an 'x' mode for open, but gzip doesn't support it. It looks like everything is passed to builtins.open eventually, so if we just allow the 'x' option to pass through, all will be well.
msg200314 - (view) Author: Roundup Robot (python-dev) Date: 2013-10-18 22:11
New changeset a728a7d46553 by Nadeem Vawda in branch 'default':
Issue #19222: Add support for the 'x' mode to the gzip module.
http://hg.python.org/cpython/rev/a728a7d46553
History
Date User Action Args
2013-10-18 22:12:44nadeem.vawdasetstatus: open -> closed

nosy: + nadeem.vawda
assignee: nadeem.vawda
resolution: fixed
stage: patch review -> resolved
2013-10-18 22:11:38python-devsetnosy: + python-dev
messages: + msg200314
2013-10-12 08:33:54Arfreversettitle: gzip and 'x' mode open -> Add 'x' mode to gzip.open()
stage: patch review
components: + Library (Lib)
versions: - Python 3.3
2013-10-11 07:42:01Arfreversetnosy: + Arfrever
2013-10-10 21:32:12oylenshpeegulcreate